.kh-floating-cta {
	position: fixed;
	top: 50%;
	right: 0;
	transform: translateY(-50%);
	z-index: 90;

	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 12px;

	padding: 20px 12px;
	background: #3ADCC9;
	text-decoration: none;

	border-radius: 28px 0 0 28px;
	box-shadow: -2px 2px 12px rgba(0, 0, 0, 0.15);
	text-transform: unset !important;
}

.kh-floating-cta__icon {
	display: flex;
	align-items: center;
	justify-content: center;
}

.kh-floating-cta__icon img {
	display: block;
	width: 1.25006rem;
	height: auto;
}

.kh-floating-cta__text {
	writing-mode: vertical-rl;
	transform: rotate(180deg);
	color: var(--brand-500, #0A2E59);
	leading-trim: both;
	text-edge: cap;
	font-family: var(--font-family-heading, "Barlow Condensed");
	font-size: var(--text-h5, 1.25rem);
	font-style: normal;
	font-weight: var(--font-weight-semibold, 600);
	line-height: 125%;
	text-transform: uppercase;
}

@media (max-width: 768px) {
	.kh-floating-cta {
		padding: 16px 10px;
		gap: 8px;
	}
}


.kh-floating-cta:hover {
	background: rgb(237, 134, 224) !important;
	text-decoration: unset !important;
}

.kh-floating-cta:focus-visible {
	outline: 3px solid #0A2E59;
	outline-offset: 2px;
}
